gnuchess (6.2.7-1+deb11u1build0.24.04.1) noble-security; urgency=medium

  * fake sync from Debian

 -- John Breton <john.breton@canonical.com>  Thu, 06 Mar 2025 09:12:26 -0500

gnuchess (6.2.7-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-30184
    execute arbitrary code via crafted PGN (Portable Game Notation) data
  * Add missing build dep on help2man

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Jan 2025 10:03:02 +0100

gnuchess (6.2.7-1) unstable; urgency=medium

  * New upstream release (Closes: #936023)
  * Use debhelper 12
  * Use secure URI for homepage field
  * Set Vcs fields to new salsa repository
  * Set Standards-Version to 4.5.0
  * copyright: refresh years and use secure URI
  * watch: update link, use http instead of ftp

 -- Vincent Legout <vlegout@debian.org>  Sat, 24 Oct 2020 09:16:35 +0200

gnuchess (6.2.5-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: update to 2017
  * Standards-Version 4.0.0

 -- Vincent Legout <vlegout@debian.org>  Tue, 01 Aug 2017 17:38:59 +0200

gnuchess (6.2.4-1) unstable; urgency=medium

  * New upstream release
  * Remove debian/patch/exit.patch: fixed upstream

 -- Vincent Legout <vlegout@debian.org>  Thu, 10 Nov 2016 21:36:48 +0100

gnuchess (6.2.2-2) unstable; urgency=medium

  * Add debian/patch/exit.patch to exit when --addbook is used
  * Set myself as Maintainer instead of Oliver Korff <ok@xynyx.de>
    (Closes: #835322)
  * Standards-Version 3.9.8
  * Use https for Vcs-Git and Vcs-Browser
  * debian/rules: Enable hardening flags

 -- Vincent Legout <vlegout@debian.org>  Mon, 05 Sep 2016 18:51:41 +0200

gnuchess (6.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Vincent Legout <vlegout@debian.org>  Sun, 10 Jan 2016 14:49:09 -0500

gnuchess (6.2.1-1) unstable; urgency=medium

  * New upstream version
  * debian/copyright:
    - Use the * wildcard for all files
    - Update copyright to 2015
  * Use upstream manpage, remove debian/gnuchess.6
  * Standards-Version 3.9.6

 -- Vincent Legout <vlegout@debian.org>  Mon, 01 Jun 2015 10:33:37 -0400

gnuchess (6.1.2-1) unstable; urgency=medium

  * New upstream version
  * debian/changelog: Update copyright years
  * debian/rules: Use --with autoreconf instead of autotools_dev
    (Closes: #727877)
    - Build-Depends on dh-autoreconf instead of autotools-dev
  * Add upstream gpg key, update debian/watch

 -- Vincent Legout <vlegout@debian.org>  Fri, 01 Aug 2014 12:05:55 -0400

gnuchess (6.1.1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version 3.9.5
    - Do not depend on `dpkg (>= 1.15.4) | install-info' anymore
  * debian/rules: Build with --with autotools_dev to update config.guess and
    config.sub. (Closes: #727877)

 -- Vincent Legout <vlegout@debian.org>  Tue, 31 Dec 2013 12:49:22 +0100

gnuchess (6.0.3-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Use anonscm.d.o instead of git.d.org in VCS fields
    - Standards-Version 3.9.4
  * debian/copyright: Update copyright years

 -- Vincent Legout <vlegout@debian.org>  Tue, 14 May 2013 21:16:22 +0200

gnuchess (6.0.2-1) unstable; urgency=low

  * New upstream version (Closes: #637722)
    - gnuchess is now based on Fruit, thus closing bugs due to the old chess
      engine. (Closes: #645387, #461322)
    - Drop patches
  * New maintainers: Oliver Korff and Vincent Legout
  * New debian/copyright using dep5
  * Use 3.0 (quilt) format
  * debian/rules:
    - Rewritten using dh
    - Do not install /usr/share/info/dir.gz
    - Add debian/gnuchess.manpages
  * debian/control:
    - clean Build-Depends
    - Standards-Version 3.9.3 (No changes needed)
    - Depends on dpkg (>= 1.15.4) | install-info because gnuchess
      comes with an info file
    - Suggests scid
    - Update long description
    - Update Vcs-* fields
  * Update debhelper compatibility to 9
  * debian/gnuchessu.6: new manpage for gnuchessu
  * README.Debian: the book file has been renamed book.bin
  * Do not refer to /usr/share/doc/gnuchess/MANUAL.gz, it does not exist
    anymore (Closes: #548005, #511760)

 -- Vincent Legout <vlegout@debian.org>  Tue, 06 Mar 2012 20:06:59 +0100

gnuchess (5.07-7) unstable; urgency=low

  * Fix getline FTBFS. Closes: #552906, #559909.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 07 Dec 2009 19:00:35 +0000

gnuchess (5.07-6) unstable; urgency=low

  * Move readline dependency to libreadline-dev.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:17:57 +0100

gnuchess (5.07-5) unstable; urgency=low

  * debian/control:
    - New maintainer. Closes: #503524
    - Update compat to 7 and upgrade debhelper Build-Depends.
    - Add Homepage field.
    - Add Vcs-* fields.
    - Update Standards-Version to 3.8.0. (No changes).
  * Convert copyright to machine readable format.
  * Tidy up debian/rules
  * Add watch file.
  * Add quilt patch system:
    - 00_compile_fixes.diff - move changes out of top srcdir.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 26 Oct 2008 21:21:56 +0000

gnuchess (5.07-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in debian/rules. (closes: #477581)

 -- Peter Eisentraut <petere@debian.org>  Mon, 26 May 2008 03:11:28 +0200

gnuchess (5.07-4) unstable; urgency=low

  * Updated libreadline-dev build dependency to resolve build
    failure. Thanks to Matthias Klose for the patch, and thanks
    to Florian Ernst for the gentle nudge. (closes: #326354)
  * Updated to standards version 3.6.2.1.
  * Updated the FSF address in debian/copyright.

 -- Lukas Geyer <lukas@debian.org>  Tue, 29 Nov 2005 15:27:47 -0700

gnuchess (5.07-3) unstable; urgency=low

  * Removed superfluous declaration of input_thread in src/common.h.
    Thanks to Andreas Jochens for the patch. (closes: #297582)

 -- Lukas Geyer <lukas@debian.org>  Fri,  4 Mar 2005 14:59:12 -0500

gnuchess (5.07-2) unstable; urgency=low

  * Fixed sprintf() undefined behavior in src/pgn.c. Thanks to
    Ben Winslow for the patch. (closes: #228197)

 -- Lukas Geyer <lukas@debian.org>  Sat, 17 Jan 2004 09:50:29 -0500

gnuchess (5.07-1) unstable; urgency=low

  * New upstream version.
  * Update to standards version 3.6.1
  * Improve wording in gnuchessx manpage.
  * Do not write logfiles by default.
  * Update debian/copyright, strip of some unnecessary stuff and
    include all upstream authors.

 -- Lukas Geyer <lukas@debian.org>  Sun,  5 Oct 2003 02:52:48 -0400

gnuchess (5.06-1) unstable; urgency=low

  * New upstream version. (closes: #184935)

 -- Lukas Geyer <lukas@debian.org>  Sat, 15 Mar 2003 16:30:36 -0500

gnuchess (5.04-4) unstable; urgency=low

  * src/book.c: fixed segfault when using gnuchess without book
    in xboard or eboard. (closes: #170652)

 -- Lukas Geyer <lukas@debian.org>  Mon, 25 Nov 2002 20:58:56 -0500

gnuchess (5.04-3) unstable; urgency=low

  * New maintainer
  * Updated to standards version 3.5.7.
  * Updated debian/rules to use debhelper.
  * Removed build-dependency on autoconf, added build dependency on
    autotools-dev for config.{sub,guess}.
  * Added Recommends: gnuchess-book and actually fixed the book
    code. (closes: #144705)
  * Incorporated changes from NMU for 5.04-2.1, except the change to
    debian/rules which has been completely rewritten and the change to
    debian/README.Debian
  * Added instructions on opening book creation to debian/README.Debian,
    and a recommendation to install gnuchess-book. (closes: #144703)
  * Updated debian/copyright.
  * Re-added rudimentary manpage for gnuchess(6) and menu entry from the NMU
    of Andreas Tille for 5.03-0.1.
  * Provide gnuchessx as a separate script, added a note on startup that
    it is obsolete.
  * Added manpage for gnuchessx(6).

 -- Lukas Geyer <lukas@debian.org>  Thu, 17 Oct 2002 21:31:48 -0400

gnuchess (5.04-2.1) unstable; urgency=high

  * NMU
  * Fixed buffer overflows in src/pgn.c and src/epd.c.
    (closes: #162701, #163757)
  * Reverted broken "fix" to gnuchessx. (closes: #145366)
  * Give build options to configure, not make in debian/rules.
    (closes: #145505)
  * Added build dependencies on libreadline4-dev and
    libncurses5-dev. (closes: #144656)
  * Corrected instructions in README.Debian about opening book.

 -- Lukas Geyer <lukas@debian.org>  Tue,  8 Oct 2002 13:48:22 -0400

gnuchess (5.04-2) unstable; urgency=low

  * Update changelog with NMU entries.

 -- Martin Mitchell <martin@debian.org>  Fri, 26 Apr 2002 00:51:26 +1000

gnuchess (5.04-1) unstable; urgency=low

  * New upstream release. (closes: #95339, #129653, #128306, #130807, #138829)
    Also (closes: #122091)
  * Remove book from package, following upstream.
  * Rename source package back to gnuchess, following upstream.
  * Update to standards version 3.5.6.
  * Implement symlinks to doc directory. (closes: #102449)
  * Also suggest eboard. (closes: #103044)
  * Change gnuchessx script to new syntax. (closes: #105792)

 -- Martin Mitchell <martin@debian.org>  Wed, 24 Apr 2002 23:57:31 +1000

chess (5.03-0.2) unstable; urgency=low

  * fixes permissions of /usr/games/gnuchessx
    closes: #138829

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2002 08:02:01 +0100

chess (5.03-0.1) unstable; urgency=low

  * NMU
  * New upstream version which
    closes: #119475
    closes: #130807
  * Standards: 3.5.6
  * Switched to debhelper to
    closes: #102449
    (Sorry, I do not know how to close this long standing RC bug
     in the currently used packaging system.  So I had to switch.)
  * Build-Depends: debhelper
  * PORTERS PLEASE CHECK!
    If I understand the NEWS file correct we could go with only
    one compiled book for all architectures.  I did not implement
    this but I really hope that somebody would check this to save
    space of our archive.
    Perhaps the book should be packaged in a separate source/binary
    package because it is also in a separate upstream source.
  * Provide gnuchessx as separate script instead of creating it in debian/rules
  * Wrote manpage. Not really much - just a hint to the doc/README file which
    claims to be the manual. This is copied to /usr/share/doc/gnuchess/MANUAL.
  * Wrote manpage for gnuchessx which explains, why not call this script
    manually
    closes: #105792
  * Added menu entry.
  * Used `make distclean` do clean up before build
    closes: #128306
  * Suggests: eboard
    closes: #103044

 -- Andreas Tille <tille@debian.org>  Sat, 16 Mar 2002 08:56:32 +0100

chess (5.02-1) unstable; urgency=low

  * New upstream release.
  * Update to standards version 3.5.2.
  * Add gnuchessx script. (closes: #66198, #74490, #93094, #66086)

 -- Martin Mitchell <martin@debian.org>  Tue, 10 Apr 2001 02:04:30 +1000

chess (5.00-2) unstable; urgency=low

  * Apply endianness patch to src/util.c. (closes: #67613)

 -- Martin Mitchell <martin@debian.org>  Sat, 12 Aug 2000 20:07:48 +1000

chess (5.00-1) frozen unstable; urgency=low

  * New upstream bugfix release. (closes: #57945)
  * Update to standards version 3.1.1.
  * Update copyright information.
  * Source name changed.
  * Remove gnuchess-book package.

 -- Martin Mitchell <martin@debian.org>  Wed, 22 Mar 2000 23:10:15 +1100

gnuchess (4.0.pl79-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Update to standards version 2.4.1.

 -- Martin Mitchell <martin@debian.org>  Mon, 12 Oct 1998 20:01:07 +1000

gnuchess (4.0.pl77-5) frozen unstable; urgency=low

  * Correct changelog names.

 -- Martin Mitchell <martin@debian.org>  Wed, 15 Apr 1998 01:53:06 +1000

gnuchess (4.0.pl77-4) unstable; urgency=low

  * Install copyright for gnuchess-book. (#19319)
  * Make generate script executable. (#16993)

 -- Martin Mitchell <martin@debian.org>  Thu, 12 Mar 1998 23:44:20 +1100

gnuchess (4.0.pl77-3) unstable; urgency=low

  * New maintainer.
  * Libc6 compile.
  * Pristine source used.
  * Updated from pre 2.0.0.0 package (#9473,#9474)

 -- Martin Mitchell <martin@debian.org>  Thu,  6 Nov 1997 00:45:59 +1100
